Freeciv-3.3: messagewdg Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Member Functions | Private Attributes
messagewdg Class Reference

`#include <messagewin.h>`

Inheritance diagram for messagewdg:

## Public Slots

void | item_selected (const QItemSelection &sl, const QItemSelection &ds)

## Public Member Functions

| messagewdg (QWidget *parent)
void | msg_update ()
void | clr ()
void | msg (const struct message *pmsg)

## Protected Member Functions

void | enterEvent (QEnterEvent *event)
void | leaveEvent (QEvent *event)
void | paint (QPainter *painter, QPaintEvent *event)
void | paintEvent (QPaintEvent *event)
void | resizeEvent (QResizeEvent *event)

## Private Attributes

QTableWidget * | mesg_table
QGridLayout * | layout
QPixmap * | pix

## Detailed Description

Definition at line 42 of file messagewin.h.

## Constructor & Destructor Documentation

## ◆ messagewdg()

messagewdg::messagewdg | ( | QWidget * | parent | ) |

Messagewdg constructor

Definition at line 214 of file messagewin.cpp.

## Member Function Documentation

## ◆ clr()

void messagewdg::clr | ( |  | ) |

Clears and removes mesg_table all items

Definition at line 332 of file messagewin.cpp.

## ◆ enterEvent()

void messagewdg::enterEvent | ( | QEnterEvent * | event | ) |

protected

Mouse entered messagewdg

Definition at line 292 of file messagewin.cpp.

## ◆ item_selected

void messagewdg::item_selected | ( | const QItemSelection & | sl,
|  | const QItemSelection & | ds
| ) |  |

slot

Slot executed when selection on meg_table has changed

Definition at line 248 of file messagewin.cpp.

Referenced by messagewdg().

## ◆ leaveEvent()

void messagewdg::leaveEvent | ( | QEvent * | event | ) |

protected

Mouse left messagewdg

Definition at line 303 of file messagewin.cpp.

## ◆ msg()

void messagewdg::msg | ( | const struct message * | pmsg | ) |

Adds news message to mesg_table

Definition at line 341 of file messagewin.cpp.

## ◆ msg_update()

void messagewdg::msg_update | ( |  | ) |

Updates mesg_table painting

Definition at line 370 of file messagewin.cpp.

Referenced by msg(), and resizeEvent().

## ◆ paint()

void messagewdg::paint | ( | QPainter * | painter,
|  | QPaintEvent * | event
| ) |  |

protected

Paints semi-transparent background

Definition at line 311 of file messagewin.cpp.

Referenced by paintEvent().

## ◆ paintEvent()

void messagewdg::paintEvent | ( | QPaintEvent * | event | ) |

protected

Paint event for messagewdg

Definition at line 320 of file messagewin.cpp.

## ◆ resizeEvent()

void messagewdg::resizeEvent | ( | QResizeEvent * | event | ) |

protected

Resize event for messagewdg

Definition at line 379 of file messagewin.cpp.

## Field Documentation

## ◆ layout

QGridLayout* messagewdg::layout

private

Definition at line 52 of file messagewin.h.

Referenced by messagewdg().

## ◆ mesg_table

QTableWidget* messagewdg::mesg_table

private

Definition at line 51 of file messagewin.h.

Referenced by clr(), item_selected(), messagewdg(), msg(), and msg_update().

## ◆ pix

QPixmap* messagewdg::pix

private

Definition at line 53 of file messagewin.h.

Referenced by msg().